How to render multiple Sidebar in EJ2 JavaScript Sidebar

21 Aug 20267 minutes to read

Two Sidebars can be initialized on a web page with the same main content. Sidebars can be positioned on the right or left side of the main content using the position property.

The HTML element with the class name e-main-content is considered the main content, and both Sidebars will act as side content relative to this main content area of the web page.

ej.base.enableRipple(true);

//left Sidebar initialization
var leftSidebar = new ej.navigations.Sidebar({
    width: "200px",
    type: 'Push'
});
leftSidebar.appendTo('#default');
//end of leftSidebar initialization

//Right Sidebar initialization
var rightSidebar = new ej.navigations.Sidebar({
    width: "200px",
    position: 'Right',
    type: 'Push'
});
rightSidebar.appendTo('#default1');
//end of rightSidebar initialization

// Toggle(Open/Close) the left Sidebar
document.getElementById('toggle-btn').onclick = function () {
    leftSidebar.toggle();
};
// Toggle(Open/Close) the right Sidebar
document.getElementById('toggle-btn2').onclick = function () {
    rightSidebar.toggle();
};
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 Sidebar</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.3/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/bootstrap5.3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-buttons/styles/bootstrap5.3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-lists/styles/bootstrap5.3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-navigations/styles/bootstrap5.3.css" rel="stylesheet">
    <link href="styles.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <!-- left Sidebar element -->
        <aside id="default">
            <div class="title"> Left Sidebar content</div>
        </aside>
        <!-- end of left Sidebar element -->
        <!-- right Sidebar element -->
        <aside id="default1">
            <div class="title">Right Sidebar content</div>
        </aside>
        <!-- end of right Sidebar element -->
        <!-- main content declaration -->
        <div class="e-main-content" style="font-size:16px;padding:100px" ;="">
            <p>Place your main content here.....</p>
            <button id="toggle-btn" class="e-btn">Toggle Sidebar1</button>
            <br>
            <br>
            <button id="toggle-btn2" class="e-btn">Toggle Sidebar2</button>
        </div>
        <!-- end of main content -->
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
    <style>
        .header {
            width: 100%;
            height: 40px;
            font-size: 20px;
            line-height: 40px;
            font-weight: 500;
            background: #eee;
            display: inline-block;
        }

        .e-main-content {
            text-align: center;
            height: 100vh;
            background: #f5f5f5;
        }

        .title {
            text-align: center;
            font-size: 20px;
            padding: 15px;
        }

        #default,
        #default1 {
            background-color: rgb(25, 118, 210);
            color: #ffffff;
            overflow: hidden;
        }
    </style>
</body>

</html>
#container {
	visibility: hidden;
  }
  
  #loader {
	color: #008cff;
	height: 40px;
	width: 30%;
	position: absolute;
	top: 45%;
	left: 45%;
  }

How to render multiple Sidebars in Vue Sidebar

20 Aug 20269 minutes to read

Two Sidebars can be initialized on a web page with the same main content. Sidebars can be initialized on the right side or left side of the main content using the position property.

The HTML element with the class name e-main-content will be considered as the main content, and both sidebars will behave as side content to this main content area.

<template>
    <div id="app">
        <ejs-sidebar id="default" ref="leftsidebar" :width="leftWidth" :type="leftType">
            <div class="title"> Left Sidebar content</div>
        </ejs-sidebar>

        <ejs-sidebar id="default1" ref="rightsidebar" :width="width" :position="position" :type="type">
            <div class="title">Right Sidebar content</div>
        </ejs-sidebar>
        <div class="e-main-content">
            <p>Place your main content here.....</p>
            <div id="button-align">
                <button ejs-button id="toggle" class="e-btn e-info" v-on:click="leftToggle">Toggle Sidebar1</button>
            </div>
            <div id="button-align">
                <button ejs-button id="toggle2" class="e-btn e-info" v-on:click="rightToggle">Toggle Sidebar2</button>
            </div>
        </div>
    </div>
</template>

<script setup>

    import { SidebarComponent as EjsSidebar } from '@syncfusion/ej2-vue-navigations';

    import { ref } from 'vue';

    const leftsidebar = ref(null);
    const rightsidebar = ref(null);
    const leftWidth = '250px';
    const leftType = 'Push';
    const width = '250px';
    const position = 'Right';
    const type = 'Push';

    const leftToggle = () => {
        leftsidebar.value.toggle();
    };
    const rightToggle = () => {
        rightsidebar.value.toggle();
    };

</script>

<style>
    @import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";

    .e-main-content {
        text-align: center;
        height: 100vh;
        background: #f5f5f5;
        font-size: 16px;
        padding: 100px;
    }

    #button-align {
        padding: 15px;
    }

    .title {
        text-align: center;
        font-size: 20px;
        padding: 15px;
    }

    #default,
    #default1 {
        background-color: rgb(25, 118, 210);
        color: #ffffff;
        overflow: hidden;
    }
</style>
<template>
    <div id="app">
        <ejs-sidebar id="default" ref="leftsidebar" :width="leftWidth" :type="leftType">
            <div class="title"> Left Sidebar content</div>
        </ejs-sidebar>

        <ejs-sidebar id="default1" ref="rightsidebar" :width="width" :position="position" :type="type">
            <div class="title">Right Sidebar content</div>
        </ejs-sidebar>
        <div class="e-main-content">
            <p>Place your main content here.....</p>
            <div id="button-align">
                <button ejs-button id="toggle" class="e-btn e-info" v-on:click="leftToggle">Toggle Sidebar1</button>
            </div>
            <div id="button-align">
                <button ejs-button id="toggle2" class="e-btn e-info" v-on:click="rightToggle">Toggle Sidebar2</button>
            </div>
        </div>
    </div>
</template>

<script>

    import { SidebarComponent } from '@syncfusion/ej2-vue-navigations';

    export default {
        name: "App",
        components: {
            "ejs-sidebar": SidebarComponent
        },
        data() {
            return {
                leftWidth: '250px',
                leftType: 'Push',
                width: '250px',
                position: 'Right',
                type: 'Push'
            }
        },
        methods: {
            leftToggle: function () {
                this.$refs.leftsidebar.toggle();
            },
            rightToggle: function () {
                this.$refs.rightsidebar.toggle();
            }
        }
    }
</script>

<style>
    @import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";

    .e-main-content {
        text-align: center;
        height: 100vh;
        background: #f5f5f5;
        font-size: 16px;
        padding: 100px;
    }

    #button-align {
        padding: 15px;
    }

    .title {
        text-align: center;
        font-size: 20px;
        padding: 15px;
    }

    #default,
    #default1 {
        background-color: rgb(25, 118, 210);
        color: #ffffff;
        overflow: hidden;
    }
</style>

How to add multiple Sidebar in Angular Sidebar

26 Sep 20264 minutes to read

Multiple Angular Sidebar can be initialized on a single web page, sharing the same main content area while positioned on opposite sides (e.g., left and right). This setup is useful for applications requiring dual navigation panels or contextual side content. Use the position property (values: Left or Right) to set the side for each Angular Sidebar.

The HTML element with class name e-main-content is considered the main content and both the Angular Sidebar will behave as side content to this main content area of a web page.
The following sample demonstrates two Angular Sidebar positioned on the left and right of the shared main content, toggled independently via buttons.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { SidebarModule } from '@syncfusion/ej2-angular-navigations'
import { Component, ViewChild } from '@angular/core';
import { SidebarComponent } from '@syncfusion/ej2-angular-navigations';

@Component({
imports: [SidebarModule, ],
standalone: true,
    selector: 'app-root',
    styleUrls: ['./app.component.css'],
    template: `  <ejs-sidebar id="default" #leftSidebar [width]='width' [type]='type'>
                        <div class="title"> Left Sidebar content</div>
                    </ejs-sidebar>

                    <ejs-sidebar id="default1" #rightSidebar [width]='width' [position]='position'
                        [type]='type'>
                        <div class="title">Right Sidebar content</div>
                    </ejs-sidebar>
                    <div class="e-main-content" style="font-size: 16px; padding: 100px 0; transform: translateX(0px); margin-left: 100px; margin-right: 100px; text-align: center;"> 
                        <p>Place your main content here.....</p>
                        <div id="button-align">
                            <button ejs-button id="toggle" class="e-btn e-info" (click)="leftToggle()">Toggle Sidebar 1</button>
                        </div>
                        <div id="button-align">
                            <button ejs-button id="toggle2" class="e-btn e-info" (click)="rightToggle()">Toggle Sidebar 2</button>
                        </div>
                    </div>`
})
export class AppComponent {
    @ViewChild('leftSidebar') leftsidebar?: SidebarComponent;
    @ViewChild('rightSidebar') rightsidebar?: SidebarComponent;

    public width:string='250px';
    public position:string='Right';
    public type:string='Push';

    leftToggle() {
        this.leftsidebar?.toggle();
    }
    rightToggle() {
        this.rightsidebar?.toggle();
    }
}
@import 'node_modules/@syncfusion/ej2-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-navigations/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-buttons/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-lists/styles/material3.css';
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

How to render multiple Sidebar in React Sidebar

Two Sidebars can be initialized in a web page with same main content. Sidebars can be initialized on right side or left side of the main content using position property.

The HTML element with class name e-main-content will be considered as the main content and both the
Sidebars will behave as side content to this main content area.

import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { SidebarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
function App() {
    let leftSidebarObj;
    let rightSidebarObj;
    let type = 'Push';
    function onCreate() {
        leftSidebarObj.element.style.visibility = '';
        rightSidebarObj.element.style.visibility = '';
    }
    // Toggle(Open/Close) the Sidebar1
    function leftToggle() {
        leftSidebarObj.toggle();
    }
    // Toggle(Open/Close) the Sidebar2
    function rightToggle() {
        rightSidebarObj.toggle();
    }
    return (<div className="control-section">
            <div id="wrapper">
                {/* Initializing the Sidebar component */}
                <SidebarComponent id="default" ref={Sidebar => leftSidebarObj = Sidebar} width="200px" type={type} created={onCreate} style=>
                    <div className="title"> Left Sidebar content</div>
                </SidebarComponent>
                {/* Initializing the another Sidebar component */}
                <SidebarComponent id="default1" ref={Sidebar => rightSidebarObj = Sidebar} width="200px" type={type} position="Right" created={onCreate} style=>
                    <div className="title"> Right Sidebar content</div>
                </SidebarComponent>
                <div className="e-main-content">
                    <p>Place your main content here.....</p>
                    <ButtonComponent onClick={leftToggle} id="toggle-btn" className="e-btn e-info">Toggle Sidebar1</ButtonComponent>
                    <br /><br />
                    <ButtonComponent onClick={rightToggle} id="toggle-btn1" className="e-btn e-info">Toggle Sidebar2</ButtonComponent>
                </div>
            </div>
        </div>);
}
export default App;
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { SidebarComponent, SidebarType } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';

function App() {
    let leftSidebarObj: SidebarComponent;
    let rightSidebarObj: SidebarComponent;
    let type: SidebarType = 'Push'
    function onCreate(): void {
        leftSidebarObj.element.style.visibility='';
        rightSidebarObj.element.style.visibility='';
    }
    // Toggle(Open/Close) the Sidebar1
    function leftToggle(): void {
        leftSidebarObj.toggle();
    }
    // Toggle(Open/Close) the Sidebar2
    function rightToggle(): void {
        rightSidebarObj.toggle();
    }
    return (
        <div className="control-section">
            <div id="wrapper">
                {/* Initializing the Sidebar component */}
                <SidebarComponent id="default" ref={Sidebar => leftSidebarObj = Sidebar as SidebarComponent}
                width="200px" type={type} created={onCreate} style=>
                    <div className="title"> Left Sidebar content</div>
                </SidebarComponent>
                {/* Initializing the another Sidebar component */}
                <SidebarComponent id="default1" ref={Sidebar => rightSidebarObj = Sidebar as SidebarComponent}
                    width="200px" type={type} position="Right" created={onCreate} style=>
                    <div className="title"> Right Sidebar content</div>
                </SidebarComponent>
                <div className="e-main-content">
                    <p>Place your main content here.....</p>
                    <ButtonComponent onClick={leftToggle} id="toggle-btn" className="e-btn e-info">Toggle Sidebar1</ButtonComponent>
                    <br/><br/>
                    <ButtonComponent onClick={rightToggle} id="toggle-btn1" className="e-btn e-info">Toggle Sidebar2</ButtonComponent>
                </div>
            </div>
        </div>
    )
}
export default App;
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App  from './App';

ReactDOM.render(<App />, document.getElementById('sample'));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Sidebar</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-react-buttons/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-react-navigations/styles/tailwind3.css" rel="stylesheet" />
    <link href="style.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='sample'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>
@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-react-navigations/styles/tailwind3.css";

.header {
  width:100%;
 height: 40px;
 font-size:20px;
 line-height: 40px;
 font-weight: 500;
 background: #eee;
 display: inline-block;
}

.e-main-content{
text-align:center;
height:100vh;
background: #f5f5f5; 
font-size: 15px;
padding:100px;
}


.title {
 text-align: center;
 font-size: 20px;
 padding: 15px; 
}


#default,#default1 {
 background-color: rgb(25, 118, 210);
 color: #ffffff;
 overflow:hidden;
}